EDIT - bug #6798

NPE when trying to drag&drop a classification to the user rights editor
07/11/2017 10:48 PM - Andreas Mller

Status: Duplicate Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description
The user rights editor is available via Admin-UserGroups- select a user- right click menu- edit user rights.

When draging&dropping a classification the following error occurs.
No problem taxon nodes. So maybe we should simply use the root node instead of classification.

login
editor version : 4.8.2
server : ()
schema version
os : Windows Server 2012 R2 6.3 amd64
java : 1.8.0_121
java.lang.NullPointerException

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionClass.getValueOf (CdmPermissi
onClass. java:40)

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmAuthority.<init> (CdmAuthority. java:82)

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionEvaluator.authorityRequiredF
or (CdmPermissionEvaluator.java:133)

at eu.etaxonomy.cdm.persistence.hibernate.permission.CdmPermissionEvaluator.hasPermission (CdmP
ermissionEvaluator. java:106)

at eu.etaxonomy.taxeditor.store.CdmStore.currentAuthentiationHasPermission (CdmStore. java:443)

at eu.etaxonomy.taxeditor.navigation.navigator.TreeNodeDropAdapterAssistant.validateDrop (TreeN
odeDropAdapterAssistant.java:123)

at org.eclipse.uil.navigator.CommonDropAdapter$2.run (CommonDropAdapter. java:237)

at org.eclipse.core.runtime.SafeRunner.run (SafeRunner. java:42)

at org.eclipse.ui.navigator.CommonDropAdapter.validateDrop (CommonDropAdapter.java:233)

at org.eclipse.jface.viewers.ViewerDropAdapter.doDropValidation (ViewerDropAdapter.java:204)

at org.eclipse.jface.viewers.ViewerDropAdapter.dragOver (ViewerDropAdapter.java:241)

at org.eclipse.swt.dnd.DNDListener.handleEvent (DNDListener. java:81)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1103)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1088)

at org.eclipse.swt.widgets.Widget.notifyListeners (Widget.java:802)

at org.eclipse.swt.dnd.DropTarget.DragOver (DropTarget.java:380)

at org.eclipse.swt.dnd.DropTarget.DragOver_64 (DropTarget. java:352)

at org.eclipse.swt.dnd.DropTarget$3.method4 (DropTarget. java:260)

at org.eclipse.swt.internal.ole.win32.COMObject.callback4 (COMObject.java:101)

at org.eclipse.swt.internal.ole.win32.COM.DoDragDrop (Native Method)

at org.eclipse.swt.dnd.DragSource.drag(DragSource. java:378)

at org.eclipse.swt.dnd.DragSource.access$0 (DragSource. java:304)

at org.eclipse.swt.dnd.DragSource$l.handleEvent (DragSource. java:173)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Display.sendEvent (Display.java:4418)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget.java:1079)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4236)

at org.eclipse.swt.widgets.Display.readAndDispatch(Display.java:3824)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java
:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:l
022)

at org.eclipse.ed4.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

Related issues:
Is duplicate of EDIT - bug #6894: NPE when trying drag&drop a Classification ... Closed

History

#1 - 07/11/2017 10:51 PM - Andreas Miiller
Interesting is that after getting about 10x an exception finally the new right is created as a right on a TaxonNode.
I havn't checked if it takes the correct node but at least it is possible to create some rights.

#2 - 07/11/2017 10:51 PM - Andreas Miuller

- Description updated

#3 - 07/21/2017 10:27 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#4 - 09/01/2017 08:28 AM - Katja Luther

- Status changed from New to Rejected

this exception should not occur anymore because of the switch to the rootnode in the taxonnavigator.

#5 - 09/01/2017 04:54 PM - Andreas Miiller
- Is duplicate of bug #6894: NPE when trying drag&drop a Classification to the GrantedAuthority editor added

#6 - 09/01/2017 04:55 PM - Andreas Miiller
- Tags set to security

- Status changed from Rejected to Duplicate

Isn't this a duplicate? Please correct me if being wrong.

#7 - 09/24/2017 05:03 PM - Andreas Miiller

- Target version deleted (Release 4.10)
